org.eclipse.net4j.util.ui

## Class TableLabelProvider.Column<T>

- java.lang.Object
- - org.eclipse.net4j.util.ui.TableLabelProvider.Column<T>

- Enclosing class:
    TableLabelProvider<T>

      public static class TableLabelProvider.Column<T>
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column()`
    `Column(java.lang.String header)`
    `Column(java.lang.String header, int width)`
    `Column(java.lang.String header, int width, int alignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlignment()`
    `Color` | `getBackground(T element)`
    `Font` | `getFont(T element)`
    `Color` | `getForeground(T element)`
    `java.lang.String` | `getHeader()`
    `Image` | `getImage()`
    `Image` | `getImage(T element)`
    `java.lang.String` | `getText(T element)`
    `java.lang.String` | `getToolTipText()`
    `int` | `getWidth()`
    `boolean` | `isMoveable()`
    `boolean` | `isResizable()`
    `TableLabelProvider.Column<T>` | `setAlignment(int alignment)`
    `TableLabelProvider.Column<T>` | `setHeader(java.lang.String header)`
    `TableLabelProvider.Column<T>` | `setImage(Image image)`
    `TableLabelProvider.Column<T>` | `setMoveable(boolean moveable)`
    `TableLabelProvider.Column<T>` | `setResizable(boolean resizable)`
    `TableLabelProvider.Column<T>` | `setToolTipText(java.lang.String toolTipText)`
    `TableLabelProvider.Column<T>` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WIDTH

          public static final int DEFAULT_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Column

          public Column()

    - #### Column

          public Column(java.lang.String header)

    - #### Column

          public Column(java.lang.String header,
                        int width)

    - #### Column

          public Column(java.lang.String header,
                        int width,
                        int alignment)

  - ### Method Detail

    - #### getHeader

          public java.lang.String getHeader()

    - #### setHeader

          public TableLabelProvider.Column<T> setHeader(java.lang.String header)

    - #### getToolTipText

          public java.lang.String getToolTipText()

    - #### setToolTipText

          public TableLabelProvider.Column<T> setToolTipText(java.lang.String toolTipText)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public TableLabelProvider.Column<T> setWidth(int width)

    - #### getAlignment

          public int getAlignment()

    - #### setAlignment

          public TableLabelProvider.Column<T> setAlignment(int alignment)

    - #### getImage

          public Image getImage()

    - #### setImage

          public TableLabelProvider.Column<T> setImage(Image image)

    - #### isMoveable

          public boolean isMoveable()

    - #### setMoveable

          public TableLabelProvider.Column<T> setMoveable(boolean moveable)

    - #### isResizable

          public boolean isResizable()

    - #### setResizable

          public TableLabelProvider.Column<T> setResizable(boolean resizable)

    - #### getText

          public java.lang.String getText(T element)

    - #### getImage

          public Image getImage(T element)

    - #### getForeground

          public Color getForeground(T element)

    - #### getBackground

          public Color getBackground(T element)

    - #### getFont

          public Font getFont(T element)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html